/* prover.h
 *
 * Written by Matt Levy
 * Modified 20 Aug 1999 by Neil Moore <neil@cs.uky.edu>
 * Modified  5 Sep 1999 by Neil Moore <neil@cs.uky.edu>
 *
 * Part of lderes.  See COPYRIGHT for copyright information.
 *
 */

#ifndef _PROVER_H
#define _PROVER_H	1
#include "default_types.h"

typedef Boolean *TableProver;

inline Boolean AddFact (TableProver table, Literal newFact);
inline Boolean RemoveFact(TableProver table, Literal newFact);
inline Boolean QueryLiteral(TableProver table, Literal query);
inline int GetTableSize(TableProver table);
inline Boolean Prove(TableProver table,Formula form);

#endif /* _PROVER_H */
